Page MenuHomePhabricator

1.31.0-alpha / Declaration of SpecialRecentChangesLinked::getPageTitle() should be compatible with SpecialPage::getPageTitle
Closed, ResolvedPublic

Description

MediaWiki	1.31.0-alpha (ed6cb7d)
PHP	7.1.1 (apache2handler)
PostgreSQL	9.3.12
ICU	57.1

Stack

SpecialPage::getContext called and $mContext is null. Return RequestContext::getMain(); for sanity
[error] [4eb0d550679dd3df4420fcfb] /mw-master-pg/index.php/Special:SpecialPages   ErrorException from line 310 of ...\includes\specials\SpecialRecentchangeslinked.php: PHP Warning: Declaration of SpecialRecentChangesLinked::getPageTitle() should be compatible with SpecialPage::getPageTitle($subpage = false)
#0 ...\includes\AutoLoader.php(81): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 ...\includes\AutoLoader.php(81): require()
#2 [internal function]: AutoLoader::autoload(string)
#3 ...\includes\specialpage\SpecialPageFactory.php(392): spl_autoload_call(string)
#4 ...\includes\specialpage\SpecialPageFactory.php(438): SpecialPageFactory::getPage(string)
#5 ...\includes\specials\SpecialSpecialpages.php(53): SpecialPageFactory::getUsablePages(User)
#6 ...\includes\specials\SpecialSpecialpages.php(42): SpecialSpecialpages->getPageGroups()
#7 ...\includes\specialpage\SpecialPage.php(522): SpecialSpecialpages->execute(NULL)
#8 ...\includes\specialpage\SpecialPageFactory.php(578): SpecialPage->run(NULL)
#9 ...\includes\MediaWiki.php(287): SpecialPageFactory::executePath(Title, RequestContext)
#10 ...\includes\MediaWiki.php(851): MediaWiki->performRequest()
#11 ...\includes\MediaWiki.php(523): MediaWiki->main()
#12 ...\index.php(43): MediaWiki->run()
#13 {main}
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed

Event Timeline

mwjames created this task.Nov 29 2017, 8:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2017, 8:02 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 30 2017, 1:13 PM

Oy, sorry about that, RecentChangesLinked didn't actually use the parameter, so I took it out without actually realizing that effect.
Fixing now.

Change 394370 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Followup I75cfb2b56a: Fix function declaration

https://gerrit.wikimedia.org/r/394370

Change 394370 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Followup I75cfb2b56a: Fix function declaration

https://gerrit.wikimedia.org/r/394370

Change 394382 had a related patch set uploaded (by Catrope; owner: Mooeypoo):
[mediawiki/core@wmf/1.31.0-wmf.10] RCFilters: Followup I75cfb2b56a: Fix function declaration

https://gerrit.wikimedia.org/r/394382

Change 394382 abandoned by Catrope:
RCFilters: Followup I75cfb2b56a: Fix function declaration

https://gerrit.wikimedia.org/r/394382

Umherirrender closed this task as Resolved.Dec 1 2017, 8:15 PM
Umherirrender assigned this task to Mooeypoo.
Umherirrender triaged this task as Normal priority.